package com.microservices.wiki.service.sys;

import com.baomidou.mybatisplus.extension.service.IService;
import com.microservices.wiki.domain.sys.User;
import com.microservices.wiki.domain.sys.UserVo;

import javax.servlet.http.HttpServletRequest;

public interface UserService extends IService<User> {
    UserVo getCurrentUser(HttpServletRequest request);

    UserVo getUserByToken(String key);

    User getUserByLogin(String login);

    String getUserImages(String login);

    String getRemoteUserLogoByUserLogin(String login);
}
